<?php


function nav($tab) {
  $username = $_SERVER['REMOTE_USER'];


  if (session_status() !== PHP_SESSION_ACTIVE) {
    session_start();
  }

  $resp = strtolower(check_resp());

  //
  // by default assign the menu corresponding to the responsibility type
  //
  $menu_option = $resp;

  //
  // if the admin has switched responsibilities show the selected menu type
  //
  if (!empty($_SESSION["menu_option"])) {
    $menu_option = $_SESSION["menu_option"];
  }

  print '
    <style>
      .nav-link.active { color: #fff; cursor: default; background-color: #0275d8; }
      ul.nav-pills a.active { color: #fff; cursor: default; background-color: #0275d8; }
      #main ul.nav.nav-pills a.active  { color: #fff }
     .nav-tabs>li>a, .nav-pills>li>a { padding-right: 6px; padding-left: 6px; }
    </style>';

  $dataowner_submitted_requests = "";
  $dataowner_pending_requests = "";
  $dataowner_request_active = "";
  $dataowner_list_requests = "";
  $dataowner_users = "";
  $maintain_user = "";
  $edit_attributes = "";
  $new_user = "";

  //
  // admin tab
  //
  $user_m     = "";
  $approver_m = "";
  $admin_m    = "";
  $admin_menu = "";

  switch ($tab) {
    case "dataowner_request":
      $dataowner_request_active = "active";
      break;
    case "dataowner_list_requests":
      $dataowner_list_requests = "active";
      break;
    case "dataowner_users":
      $dataowner_users = "active";
      break;
    case "maintain_user":
      $maintain_user = "active";
      break;
    case "new_user":
      $new_user = "active";
      break;
    case "admin_menu":
      $admin_menu = "active";
      break;
    case "edit_attributes":
      $edit_attributes = "active";
      break;
    case "new_attribute":
      $new_attribute = "active";
      break;
    case "dataowner_pending_requests":
      $dataowner_pending_requests = "active";
      break;
    case "dataowner_submitted_requests":
      $dataowner_submitted_requests = "active";
      break;
  }



  print '<ul class="nav nav-pills">';

  if ($menu_option == "admin") {
    if ($_SERVER['PHP_SELF'] == "/dataowner_implement_request.php") {
      print '
        <li class="nav-item">
          <a class="nav-link active" href="javascript:update_page();">Update</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="dataowner_implement_request.php">Cancel</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="admin_menu">Admin Menu</a>
        </li>';
    } else {
      print '
        <li class="nav-item">
          <a class="nav-link ' . $dataowner_list_requests . '" href="dataowner_list_requests">List Requests</a>
        </li>
        <li class="nav-item">
          <a class="nav-link ' . $admin_menu . '" href="admin_menu">Admin Menu</a>
        </li>';
      if ($maintain_user == "active") {
        print '
          <li class="nav-item">
            <a class="nav-link active" href="#">Maintain User</a>
          </li>';
      }
    }
  } elseif ($menu_option == "approver") {
    print '
      <li class="nav-item">
        <a class="nav-link ' . $dataowner_list_requests . '" href="dataowner_list_requests">All Requests</a>
      </li>
      <li class="nav-item">
        <a class="nav-link ' . $dataowner_pending_requests . '" href="dataowner_list_requests?status=pending">Pending Requests</a>
      </li>';
  } elseif (($menu_option == "user") || ($menu_option == "audit")) {
    print '
      <li class="nav-item">
        <a class="nav-link ' . $dataowner_request_active . '" href="dataowner_request">Request Access</a>
      </li>
      <li class="nav-item">
        <a class="nav-link ' . $dataowner_list_requests . '" href="dataowner_list_requests">List Requests</a>
      </li>';
  } else {
    // print 'No responsibilities identified';
  }

  if ($resp == "admin" || $resp == 'approver') {
    switch ($menu_option) {
      case "admin":
        $admin_m = "active";
        break;
      case "approver":
        $approver_m = "active";
        break;
      case "user":
        $user_m = "active";
        break;
    }
    print '
      <li class="nav-item" style="float: right">
        <a class="nav-link ' . $user_m . '" href="switch_resp?x=user">user</a>
      </li>
      <li class="nav-item" style="float: right">
        <a class="nav-link ' . $approver_m . '" href="switch_resp?x=approver">approver</a>
      </li>';
      if ($resp == "admin") {
      print '
      <li class="nav-item" style="float: right">
        <a class="nav-link ' . $admin_m . '" href="switch_resp?x=admin">admin</a>
      </li>';
      }
      print '
      <li class="nav-item" style="float: right;">
        <font color="#0275d8">[Logged in user: ' . $username . ']</font>&nbsp
      </li>';
      //
      //  ' . $username . ' <font color="red">[' . $menu_option . ']</font>&nbsp;
      //
  } else {
    print '
      <li class="nav-item" style="float: right; padding-top: 4px;">
        Logged in as ' . $username . '
      </li>';
  }
  print '</ul>';
}

function get_sunet_details()
{
  $displayName = "";
  $email       = "";
  $ou          = "";

  if (array_key_exists('displayName', $_SERVER)) {
    $displayname = $_SERVER['displayName'];
  }

  if (array_key_exists('mail', $_SERVER)) {
    $email = $_SERVER['mail'];
  }

  return $displayname . '^' . $email . '^' . $ou;
}

/* Return a shortened version of a string. Puts '...' at the end if too long */
function shorten_string($string, $max_length)
{
  if (strlen($string) > $max_length) {
    $ret_string = substr($string, 0, $max_length) . '...';
  } else {
    $ret_string = $string;
  }

  return $ret_string;
}
?>
