<?php

function display_header($title)
{
  if(!isset($_SESSION))
  {
    session_start();
  }

  echo '<!DOCTYPE html>
<!--[if lt IE 7]> <html class="ie6 ie" lang="en" dir="ltr"> <![endif]-->
<!--[if IE 7]>  <html class="ie7 ie" lang="en" dir="ltr"> <![endif]-->
<!--[if IE 8]>  <html class="ie8 ie" lang="en" dir="ltr"> <![endif]-->
<!--[if IE 9]>  <html class="ie9 ie" lang="en" dir="ltr"> <![endif]-->
<!--[if !IE]> --> <html lang="en" dir="ltr"> <!-- <![endif]-->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="alternate" type="application/rss+xml" title="University IT RSS" href="https://uit.stanford.edu/rss.xml" />
<title>| University IT</title>

<style type="text/css" media="all">
  @import url("https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.6/css/bootstrap.min.css");
  @import url("https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/css/bootstrap-select.min.css");
  @import url("https://uit.stanford.edu/sites/all/themes/open_framework/packages/bootstrap-2.3.1/css/bootstrap.min.css");
  @import url("https://uit.stanford.edu/sites/all/themes/open_framework/packages/bootstrap-2.3.1/css/bootstrap-responsive.min.css");
  @import url("https://uit.stanford.edu/sites/all/themes/open_framework/css/open_framework.css");
  @import url("https://uit.stanford.edu/sites/all/themes/stanford_framework/css/stanford-framework.css");
  @import url("https://uit.stanford.edu/sites/all/themes/stanford_uit/css/stanford_uit_custom.css");
</style>

<style>

th, td { padding: 4px; text-align: left; white-space: nowrap; }
h1.title { margin-bottom: 0em; }
.content h2 { margin-top: 0em; }
textarea { font-family:  "Courier New", Courier, "Lucida Sans Typewriter", "Lucida Typewriter", monospace; font-size: 14px; }
.span8 { width: 1100px; }
table { width: 800px; }
select.selectpicker { display: inline !important; }
#header { background: #fff; padding: 20px 0 20px 0; border-top: 3px solid #fff; min-height: auto; width: 100%; }
.header { margin: 0px 0 0px; }
#global-header { padding-bottom: 3px; }
.text-muted { color: #000 }
div.dropdown-menu.open { width: 550px; }
.modal-open .modal { overflow-x: hidden; overflow-y: hidden; }
.modal { width: 650px; background-color: transparent; border:1px solid transparent; }
</style>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script src="javascript/bootstrap/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/js/bootstrap-select.min.js"></script>

<!--[if IE 7]>
<![endif]-->
<!-- IE Fix for HTML5 Tags -->
<!--[if lt IE 9]>
<script src="/sites/all/themes/open_framework/js/html5shiv.js"></script>
<![endif]-->
<script>
function textAreaAdjust(o) {
 o.style.height = "1px";
 o.style.height = (25+o.scrollHeight)+"px";
}
</script>
</head>

<body class="html not-front logged-in one-sidebar sidebar-second page-taxonomy page-taxonomy-term page-taxonomy-term- page-taxonomy-term-106 style-uit header-bkg-image header-bkg-text-light">
  <div id="wrap">
    <a class="element-invisible element-focusable" href="#main">
  Skip to content
   </a>
    <a class="element-invisible element-focusable" href="#main-nav">
  Skip to navigation
   </a>

    <div id="global-header">
      <div class="container">
        <div class="row-fluid">
          <div class="span4" id="top-logo">
            <a href="http://www.stanford.edu">
              <img alt="Stanford University" src="https://uit.stanford.edu/sites/all/themes/stanford_uit/images/header-stanford-logo@2x.png"/>
            </a>
          </div>
        </div>
      </div>
    </div>

    <!-- /#global-header -->
    <!-- /#header -->

          <div class="span12" id="content-title">
            <h1 class="title" id="page-title">' . $title . '</h1>

          </div>
          <div class="mc-content span8" id="content">
            <div class="content-wrapper" id="content-wrapper">
              <div class="row-fluid content-head" id="content-head">
              </div>
              <div class="row-fluid content-body" id="content-body">
                <div class="region region-content clearfix">
                  <div class="clearfix block block-system" id="block-system-main">
                    <div class="content">
';
}

function display_footer()
{
  print '
                    </div>
                    <!-- /.region -->
                  </div>
                </div>
                <!-- /#content-wrap -->
              </div>
              <!-- /#content -->
              <!-- /#sidebar-second -->
            </div>
          </div>
  </div>
</body>
</html>';
}
?>
