<?php

include '_uit_head.php';
include '_db.php';
include '_common.php';

function do_warning() {
}

if (!isset($_POST["username"])) {
  header('Location: dataowner_users.php');
}

function render_form() {

  if (!isset($_SERVER['REMOTE_USER'])) {
    return;
  }

  display_header('Stanford Directory Access Request');
  nav("maintain_user");

  $username = $_POST["username"];
  $retval = get_user_information($username);

print '
<style>
  .dataTables_filter { text-align: right !important; }
  .dataTables_length select { width: 80px; }
  div.dataTables_length label { width: 200px; float: left; text-align: left; padding-bottom: 10px; }
  div.dataTables_info { padding-top: 10px; }
  div.dataTables_paginate { float: right; margin: 0; }
  div.content-wrapper.content-wrapper { width: 100%; }
  table.dataTable tbody td { vertical-align: top !important; }
  div#content.mc-content.span8 { width: 86%; }
  div.modal-header { width: 886px; }
  div.modal-body { width: 850px; }
  div.modal-footer { width: 886px; }
  div.modal-content { width: 890px; }
}
</style>
<script>
var func = "";

$(document).ready(function(){
  $(\'#submit_button1\').on(\'click\', function(e) {
    document.maintain_user.submit_type.value = "update";
    $("form").submit();
  });

  $(\'#submit_button2\').on(\'click\', function(e) {
    document.maintain_user.submit_type.value = "delete";
    confirm_delete("' . $username . '");
  });

  $(\'#yes_button\').on(\'click\', function(e) {
    $("form").submit();
  });
});

function confirm_delete(username) {
  $(\'.modal-body\').html(\'Are you sure you want to delete the user \' + username + \'?\');
  $(\'#detailModal\').modal();
}

</script>';
  print '
    <div id="detailModal" class="modal fade" role="dialog"  style="width:940px; margin-left: -500px;">
     <div class="modal-dialog" style="width:940px;">
        <div class="modal-content">
          <div class="modal-header">
           <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            <h3 class="modal-title" style="color: #8c1515">Confirmation</h3>
          </div>
          <div class="modal-body">
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" id="yes_button" data-dismiss="modal">Yes</button>
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>';

  $td_style = 'width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;';
  print '
  <form id="maintain_user" name="maintain_user" action="_maintain_user_x.php" method="post" role="form">
    <input type="hidden" name="sunetid" value="' . $username . '">
    <input type="hidden" name="submit_type" value="">
    <table border=1 class="main">
      <tr>
        <td style="' . $td_style . '" nowrap>
          <b>SunetID</b>
        </td>
        <td>' . $username . '</td>
      </tr>

      <tr>
        <td style="' . $td_style . '" nowrap>
          <b>Full Name</b>
        </td>
        <td><input type="text" name="full_name" value="'. trim($retval['full_name']) . '"/></td>
      </tr>

      <tr>
        <td style="' . $td_style . '" nowrap>
          <b>E-mail</b>
        </td>
        <td><input type="text" name="email" value="'. trim($retval['email']) . '"/></td>
      </tr>

      <tr>
        <td style="' . $td_style . '" nowrap>
          <b>Title</b>
        </td>
        <td><input type="text" name="title" value="'. trim($retval['title']) . '"/></td>
      </tr>

      <tr>
        <td style="' . $td_style . '" nowrap>
          <b>Role</b>
        </td>
        <td>
          <select class="selectpicker" id="role_type" name="role_type">';

if ($retval["role"] == "APPROVE") {
  print '<option>ADMINISTRATOR</option>
         <option selected>APPROVE</option>
         <option>AUDIT</option>';

} else if ($retval["role"] == "APPROVE") {
  print '<option>ADMINISTRATOR</option>
         <option>APPROVE</option>
         <option selected>AUDIT</option>';
} else {
  print '<option selected>ADMINISTRATOR</option>
         <option>APPROVE</option>
         <option>AUDIT</option>';
}

print '
          </select>
        </td>
      </tr>

      <tr>
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Status</b>
        </td>
        <td>
          <select class="selectpicker" id="status" name="status">';

if ($retval["status"] == "ACTIVE") {
  print '<option selected>ACTIVE</option>
<option>INACTIVE</option>';

} else {
  print '<option>ACTIVE</option>
<option selected>INACTIVE</option>';
}

print '
          </select>
        </td>
      </tr>

      <tr>
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Created</b>
        <td>' . $retval["date_added"] . '</td>
      </tr>

      <tr>
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Last Updated</b>
        <td>' . $retval["date_last_maint"] . '</td>
      </tr>

    </table>
    <button type="button" id="submit_button1" class="btn btn-primary">Update</button>
    <button type="button" id="submit_button2" class="btn btn-primary">Delete</button>
  </form>';

  display_footer();
}

render_form();

?>
