CREATE TABLE `dataowner_attributes` (
  `attribute_name` varchar(512) DEFAULT NULL,
  `group_name`     varchar(512) DEFAULT NULL,
  `created_by_uid` varchar(32) DEFAULT NULL,
  `created_date`   datetime DEFAULT CURRENT_TIMESTAMP
);

CREATE TABLE `dataowner_attribute_groups` (
  `group_name`     varchar(512) DEFAULT NULL,
  `created_by_uid` varchar(32) DEFAULT NULL,
  `created_date`   datetime DEFAULT CURRENT_TIMESTAMP
);

CREATE TABLE `sequences` (
  `name` varchar(100) NOT NULL,
  `increment` int(11) NOT NULL DEFAULT '1',
  `min_value` int(11) NOT NULL DEFAULT '1',
  `max_value` bigint(20) NOT NULL DEFAULT '9223372036854775807',
  `cur_value` bigint(20) DEFAULT '1',
  `cycle` tinyint(1) NOT NULL DEFAULT '0',
   PRIMARY KEY (`name`)
) ;

LOCK TABLES `sequences` WRITE;
INSERT INTO `sequences` VALUES ('dataowner-request',1,2000,999999999999,2001,0);
UNLOCK TABLES;
