
/*
mysql> desc dataowner_approval;
+-----------------+-------------------------------------------------+------+-----+---------+-------+
| Field           | Type                                            | Null | Key | Default | Extra |
+-----------------+-------------------------------------------------+------+-----+---------+-------+
| request_id      | int(11)                                         | NO   | PRI | NULL    |       |
| approver_uid    | varchar(32)                                     | NO   | PRI | NULL    |       |
| approver_name   | varchar(64)                                     | NO   |     | NULL    |       |
| approver_title  | varchar(64)                                     | NO   |     | NULL    |       |
| role            | enum('APPROVE','AUDIT')                         | NO   |     | APPROVE |       |
| status          | enum('PENDING','APPROVED','REJECTED','WAITING') | NO   |     | PENDING |       |
| email_status    | enum('PENDING','SENT','RESEND')                 | NO   |     | PENDING |       |
| comment         | text                                            | YES  |     | NULL    |       |
| date_last_maint | datetime                                        | NO   |     | NULL    |       |
| date_added      | datetime                                        | NO   |     | NULL    |       |
+-----------------+-------------------------------------------------+------+-----+---------+-------+
*/

update dataowner_approval
set    status = 'REJECTED'
where  approver_uid like '%ixon%' and request_id = 597
/
