<?php

require_once '_db.php';

if (!isset($_POST['request_id'])) {
     // If not isset -> set with dummy value
    $_POST['request_id'] = "";
}

if (!isset($_POST['attribute_name'])) {
     // If not isset -> set with dummy value
    $_POST['attribute_name'] = "";
}

if (!isset($_POST['attribute_group_name'])) {
     // If not isset -> set with dummy value
    $_POST['attribute_group_name'] = "";
}

if (!isset($_POST['function_selector'])) {
     // If not isset -> set with dummy value
    $_POST['function_selector'] = "";
}

$request_id           = $_POST["request_id"];
$attribute_name       = $_POST["attribute_name"];
$attribute_group_name = $_POST["attribute_group_name"];

switch ($_POST["function_selector"]) {
  case "check_record":
    $x = get_requests($request_id, false);
    if (empty($x)) {
      print "FALSE";
    } else {
      print 'Are you sure you want to delete request ID ' . $request_id
          . ' submitted by ' . $x[$request_id]["requestor_name"]
          . ' on ' . $x[$request_id]["requested_date"] . '?';
    }
    break;
  case "delete_request":
    delete_request($request_id);
    break;
  case "move_requests":
    move_requests_to_archive($request_id);
    break;
  case "purge_requests":
    purge_requests_in_archive($request_id);
    break;
  case "remove_attribute":
    remove_attribute($attribute_name, $attribute_group_name);
    break;
  case "new_attribute":
    new_attribute($attribute_name, $attribute_group_name);
    break;
  case "new_attribute_group":
    new_attribute_group($attribute_group_name);
    break;
  case "remove_attribute_group":
    remove_attribute_group($attribute_group_name);
    break;
}

?>
