<?php

require_once '_db.php';

$request_id        = $_POST["f_request_id"];
$orig_vals         = explode("^", $_POST["f_orig_vals"]);
$new_status        = explode("^", $_POST["f_new_status"]);
$comments          = explode("^", $_POST["f_comments"]);
$impl_status       = $_POST["f_impl_status"];
$access_principal  = $_POST["f_access_principal"];
$delete_request_id = $_POST["f_delete_request_id"];


// SEVERAL CASES
if ($impl_status) {
  update_implementation_status($request_id, $impl_status);
} elseif ($access_principal) {
  update_access_principal($request_id, $access_principal);
} elseif ($delete_request_id) {
  $number_deleted = soft_delete_request($delete_request_id);
} else {
  $ct = sizeof($orig_vals);

  if (session_status() !== PHP_SESSION_ACTIVE) {
    session_start();
    unset($_SESSION["message"]);
  }

  $uct = 0;
  for ($i = 0; $i < $ct; $i++) {
    $vals = explode("|", $orig_vals[$i]);
    if (strlen($vals[0]) < 2) {
      continue;
    }

    if (strlen($vals[1]) < 2) {
      $vals[1] = "PENDING";
    }

    $cur_new_status   = $new_status[$i];
    $cur_new_comments = $comments[$i];

    $cur_old_status   = $vals[1];
    $cur_old_comments = $vals[2];

    // If the comments change or the status changes, update.
    // Note that we ignore status changes if the new status
    // is 'undefined'.
    if (   (($cur_new_status != 'undefined') && ($cur_new_status != $cur_old_status))
        || ($cur_new_comments != $cur_old_comments)) {
      if ($uct > 0) {
        $_SESSION["message"] = $_SESSION["message"] . "<br>";
      }
      update_request_approval($request_id, $vals[0], $cur_new_status, $comments[$i]);
      $uct += 1;
    }
  }

  // Update the overall approval status:
  do_check_status($request_id);
}

header('Location: ' . $_SERVER['HTTP_REFERER']);

?>
