<?php

// Load the configuration file. If the file cannot be loaded,
// raise an exception. The configuration information is put into
// the global variable 'CONFIG'
function load_config() {
  $config_file   =  '/etc/data-access-request/config.ini';
  $configuration = parse_ini_file($config_file);

  if ($configuration === FALSE) {
    throw new Exception("could not load configuration file $config_file");
  }

  $GLOBALS['CONFIG'] = $configuration;
}

?>
