<?php

$displayname = '--';
$email = '--';
$ou = '--';

if (isset($_POST["sunetid"])) {
  $sunetid = $_POST["sunetid"];
} else {
  if($argc > 1) {
    $sunetid = $argv[1];
  }
}
if (!isset($sunetid)) {
  return;
}

$ldap_command = '/usr/bin/k5start -U -f /etc/ldapadmin/ldaptools.keytab -- sh -c "ldapsearch -LLL -h ldap.stanford.edu -b \'dc=stanford,dc=edu\' uid=' . $sunetid . '" 2>&1';

$handle = popen($ldap_command, 'r');
while ($line = fgets($handle, 4096)) {
  $pos = strpos($line, ':');
  $attr = substr($line, 0, $pos);
  $value = substr($line, $pos + 2);

  switch ($attr) {
    case 'displayName':
      $displayname = $value;
      break;
    case 'mail':
      $email = $value;
      break;
    case 'ou':
      $ou = $value;
      break;
  }
}
pclose($handle);
print $displayname . '^' . $email . '^' . $ou;

?>
