<?php

include '_uit_head.php';
include '_db.php';
include '_common.php';

function do_warning() {
}

function render_form() {

  if (!isset($_SERVER['REMOTE_USER'])) {
    return;
  }

  display_header('Stanford Directory Access Request');
  nav("new_user");

print '

<style>
  .dataTables_filter { text-align: right !important; }
  .dataTables_length select { width: 80px; }
  div.dataTables_length label { width: 200px; float: left; text-align: left; padding-bottom: 10px; }
  div.dataTables_info { padding-top: 10px; }
  div.dataTables_paginate { float: right; margin: 0; }
  div.content-wrapper.content-wrapper { width: 100%; }
  table.dataTable tbody td { vertical-align: top !important; }
  div#content.mc-content.span8 { width: 96%; }
  div.modal-header { width: 886px; }
  div.modal-body { width: 850px; }
  div.modal-footer { width: 886px; }
  div.modal-content { width: 890px; }
}
</style>

<script type="text/javascript">

$(document).ready(function() {
  $.fn.selectpicker.Constructor.DEFAULTS.styleBase = \'form-control\';
  $.fn.selectpicker.Constructor.DEFAULTS.style = \'\';

  var rows = $(\'table.main tr\');
  var hide_rows = rows.filter(\'.hide_rows\');
  hide_rows.hide();

  $("input.inputfield").focus(function () {
    $(this).addClass("active");
    $(this).focusout(function () {
      get_sunet_details($(this).val());
      $(this).removeClass("active");
      $(this).unbind("focus");
    });
  });
});

function get_sunet_details(id) {
  $.ajax({
    type: \'post\',
    url: \'_sunet_list_details.php\',
    data: \'sunetid=\' + id,
    success: function(d) {
      vars = d.split("^");
      var rows = $(\'table.main tr\');
      var hide_rows = rows.filter(\'.hide_rows\');
      hide_rows.show();
      $(su_name).html(vars[0]);
      $(su_email).html(vars[1]);
      $(su_org).html(vars[2]);

      var input1 = document.createElement(\'input\');
      input1.type = \'hidden\';
      input1.name = \'fullname\';
      input1.value = vars[0];
      document.forms["new_user"].appendChild(input1);

      var input2 = document.createElement(\'input\');
      input2.type = \'hidden\';
      input2.name = \'email\';
      input2.value = vars[1];
      document.forms["new_user"].appendChild(input2);

      var input3 = document.createElement(\'input\');
      input3.type = \'hidden\';
      input3.name = \'organization\';
      input3.value = vars[2];
      document.forms["new_user"].appendChild(input3);
    }
  });
}

</script>';

  print '
  <form id="new_user" name="new_user" action="_new_user_x.php" method="post" role="form">
    <table border=1 class="main">
      <tr>
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>SunetID</b>
        </td>
        <td>
          <input type="text" name="sunetid" id="sunetid" class="inputfield" placeholder="Enter SunetID" style="height:30px;" required="true"/></td>
      </tr>

      <tr class="hide_rows">
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Name</b>
        </td>
        <td><div id="su_name"></div></td>
      </tr>

      <tr class="hide_rows">
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Email</b>
        </td>
        <td><div id="su_email"></div></td>
      </tr>

      <tr class="hide_rows">
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Organization</b>
        </td>
        <td><div id="su_org"></div></td>
      </tr>

      <tr class="hide_rows">
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Date Requested</b>
        </td>
        <td>' . date('m/d/Y') . '</td>
      </tr>
  
      <tr>
        <td style="width: 200px; vertical-align:top; border-bottom: 0px; background-color: #f2f1eb;" nowrap>
          <b>Privileges</b>
        </td>
        <td>
          <select class="selectpicker" id="role_type" name="role_type">
            <option>ADMINISTRATOR</option>
            <option>APPROVE</option>
            <option>AUDIT</option>
          </select>
        </td>
      </tr>
    </table>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>';

  display_footer();
}

render_form();

?>
