# dataowner_approval
ALTER TABLE dataowner_approval MODIFY COLUMN role
  ENUM('APPROVE','AUDIT','ADMINISTRATOR') NOT NULL;

# dataowner_log
# No changes needed.

# dataowner_request
ALTER TABLE dataowner_request ADD COLUMN contact_email VARCHAR(128) NULL AFTER requestor_name;
ALTER TABLE dataowner_request ADD COLUMN request_type
  ENUM("ENTITYID", "KPRINCIPAL") AFTER contact_email ;

ALTER TABLE dataowner_request MODIFY COLUMN status
  ENUM('PENDING','READY','SUBMITTED','APPROVED','REJECTED','WAITING','DELETED') NULL;

ALTER TABLE dataowner_request MODIFY COLUMN implementation_status
  ENUM('PENDING','IMPLEMENTED','ABANDONED') NOT NULL;

# dataowner_request_attr
# No changes needed.

# dataowner_reviewer
ALTER TABLE dataowner_reviewer MODIFY COLUMN role
  enum('ADMINISTRATOR','APPROVE','AUDIT') NOT NULL;
